#### D.4.23.2 modNpos_test

Procedure from library `noether.lib` (see noether_lib).

Usage:
  modNpos_test(i); i an ideal

Return:
  1 if i is in Noether position 0 otherwise.

Note:
  This test is a probabilistic test, and it computes the initial of the ideal modulo the prime number 2147483647 (the biggest prime less than 2^31).

Example:

    LIB "noether.lib";
    ring r=0,(X,Y,a,b),dp;
    poly f=X^8+a*Y^4-Y;
    poly g=Y^8+b*X^4-X;
    poly h=diff(f,X)*diff(g,Y)-diff(f,Y)*diff(g,X);
    ideal i=f,g,h;
    modNpos_test(i);
    ==> // WARNING:
    ==> // The procedure is probabilistic and  it computes the initial of the ide\
       al modulo the prime number 2147483647
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    [1]:
    ==>       X
    ==>    [2]:
    ==>       Y
    ==>    [3]:
    ==>       b
    ==>    [4]:
    ==>       a

User manual for Singular version 4.4.1, 2025, generated by texi2html.